# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.91"
name = "roam-types"
version = "7.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Base types used by roam crates"
homepage = "https://github.com/bearcove/roam"
documentation = "https://docs.rs/roam"
readme = "README.md"
keywords = [
    "rpc",
    "ipc",
    "shared-memory",
    "serde",
    "networking",
]
categories = [
    "network-programming",
    "asynchronous",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/bearcove/roam"
resolver = "2"

[package.metadata."docs.rs"]
rustdoc-args = [
    "--html-in-header",
    "arborium-header.html",
]

[lib]
name = "roam_types"
path = "src/lib.rs"

[[bin]]
name = "generate_golden_vectors"
path = "src/bin/generate_golden_vectors.rs"

[dependencies.bitflags]
version = "2.11.0"

[dependencies.facet]
version = "0.44.1"
features = [
    "camino",
    "reflect",
]

[dependencies.facet-core]
version = "0.44.1"

[dependencies.facet-path]
version = "0.44.1"

[dependencies.facet-postcard]
version = "0.44.1"
features = ["camino"]

[dependencies.smallvec]
version = "1.15.1"

[dependencies.structstruck]
version = "0.5.1"

[dev-dependencies]

[target.'cfg(not(target_arch = "wasm32"))'.dependencies.tokio]
version = "1"
features = [
    "sync",
    "rt",
    "time",
    "macros",
    "io-util",
]

[target.'cfg(target_arch = "wasm32")'.dependencies.futures-channel]
version = "0.3"
